System.Design 2.0.0.0 System.ComponentModel.Design.Serialization.CodeDomSerializer

The class can create either statements or expressions. If the object to serialize is an array, the will create an expression and assign it to the statement in the current context stack. If the object is a collection with an AddRange or similar method, the will create a statement that calls the method.

Serializes collections.

- Constructor
  2.0.0.0
  To be added.

  Initializes a new instance of the class.

- Method
  2.0.0.0
  System.Boolean ``

  Checks the attributes to see if they support serialization.

  Verifies serialization support by the .

  true if the supports serialization; otherwise, false.

  The to check for serialization attributes.
- Method
  2.0.0.0
  System.Object `` ``

  Collections are serialized as follows:

  If the collection is an array, the array is written.

  If the collection has an AddRange method, it will be called and provided with an array.

  If the collection has an Add method, it will be called repeatedly until all items in the collection are written.

  If the collection is an , the method will cast the collection to an and add through that interface.

  If the collection has no Add method, but is marked with , will enumerate the collection and serialize each element.

  Serializes the given collection into a CodeDOM object.

  A CodeDOM object representing .

  The to use during serialization. The object to serialize.
- Method
  2.0.0.0
  System.Object `` `` `` `` ``

  The that refers to the collection can be null.

  Serializes the given collection.

  Serialized collection if the serialization process succeeded; otherwise, null.

  The to use during serialization. The that refers to the collection The of the collection. The collection to serialize. The values to serialize.